import { ModuleWithProviders } from '@angular/core';
import { EmailServiceConfig } from './email/model/email.service.config';
import { EmployeeServiceConfig } from './employee/model/employee.service.config';
import { SharePointServiceConfig } from './sharepoint/model/sharepoint.service.config';
export * from './email/model/email.service.config';
export * from './employee/model/employee.service.config';
export * from './sharepoint/model/sharepoint.service.config';
export * from './email/model/email';
export * from './employee/model/employee';
export * from './sharepoint/model/sharepoint-employee-picture';
export * from './sharepoint/model/sharepoint-list';
export * from './sharepoint/model/sharepoint-picture';
export * from './email/service/email.service';
export * from './employee/service/employee.service';
export * from './sharepoint/service/sharepoint.service';
export declare class EmailModule {
    static forRoot(emailConfig: EmailServiceConfig): ModuleWithProviders;
    constructor(parentModule: EmailModule);
}
export declare class SharePointModule {
    static forRoot(sharePointConfig: SharePointServiceConfig): ModuleWithProviders;
    constructor(parentModule: SharePointModule);
}
export declare class EmployeeModule {
    static forRoot(employeeConfig: EmployeeServiceConfig): ModuleWithProviders;
    constructor(parentModule: EmployeeModule);
}
